<!-- card -->
<app-card [ngClass]="loginOpen ? 'logig-show' : 'logig-hide'">
  <!-- loading -->
  <app-spinner *ngIf="loading; else main"></app-spinner>

  <!-- main -->
  <ng-template #main>
    <!-- logo -->
    <app-logo></app-logo>

    <!-- title -->
    <app-card-title>
      LOGIN
    </app-card-title>

    <!-- sub title -->
    <app-card-sub-title>
      Sign in with your Mercury ID
    </app-card-sub-title>

    <!-- login form -->
    <form (appSubmitted)="login()" appFormNeutralizer class="app-login-form">
      <!-- email id field -->
      <app-email-id-field [control]="email" [errors]="emailErrors" label="Email ID"></app-email-id-field>

      <!-- password field -->
      <app-password-field [control]="password" [errors]="passwordErrors" label="Password"></app-password-field>

      <!-- login button -->
      <button appFlatButton>
        LOGIN
      </button>
    </form>

    <!-- options -->
    <div class="app-options">
      <!-- remember -->
      <div (click)="toggleRememberUser()" class="app-remember">
        <!-- checkbox -->
        <app-checkbox [active]="rememberUser" appearance="filled"></app-checkbox>

        Remember me
      </div>

      <!-- forgot password -->
      <a [routerLink]="['/main/password-recovery']" class="app-forgot app-link">
        Forgot password?
      </a>
    </div>

    <!-- footer -->
    <div class="app-footer">Don't have an account? <a (click)="register()" class="app-link">Register here</a></div>
  </ng-template>
</app-card>
